//Bacheloroppgave SØK2901, våren 2020
clear  
append using "data2901-Belize" //Legger til datasett for Belize
append using "data2901-CzechRepublic.dta" //Legger til datasett for Tsjekkia
append using "data2901-England.dta" //Legger til datasett for England
append using "data2901-Norway.dta" //Legger til datasett for Norge
append using "data2901-Bulgaria.dta" //Legger til datasett for Bulgaria
 
 *Lager en kategorivariabel for å kunne se på BNP-forskjellene mellom landene:
gen bnp=0
replace bnp=4.98 if idcntry==84 //setter inn for BNP-nivået til Belize
replace bnp=10.13 if idcntry==100 //setter inn for BNP-nivået til Bulgaria 
replace bnp=24.57 if idcntry==203 //setter inn for BNP-nivået til Tsjekkia 
replace bnp=40.39 if idcntry==926 //setter inn for BNP-nivået til England 
replace bnp=78.33 if idcntry==578 //setter inn for BNP-nivået til Norge 
  
 *Genererer dummyvariabler for de forskjellige landene:
gen norge=0
replace norge=1 if idcntry==578 

gen belize=0
replace belize=1 if idcntry==84

gen tsjekkia=0
replace tsjekkia=1 if idcntry==203

gen bulgaria=0
replace bulgaria=1 if idcntry==100

gen england=0
replace england=1 if idcntry==926


sum read income clsize bnp //Presenterer deskriptiv statistikk for avhengig variabel og interessevariabel  
sum read if girl==1 //Deskriptiv statistikk for jenter
sum read if girl==0 //Deskriptiv statistikk for gutter
histogram read, freq //Viser fordelingen til read i et histogram 

//Viser fordelingen til read i de utvalgslandene i histogram;
hist read if norge==1 
hist read if belize==1
hist read if tsjekkia==1
hist read if bulgaria==1
hist read if england==1

twoway (scatter read clsize) (lfit read clsize) //lager spredningsplott og estimert linje for read og clsize
twoway (scatter read bnp) (lfit read bnp) //lager spredningsplott og estimert linje for read og bnp
twoway (scatter read income) (lfit read income) //lager spredningsplott og estimert linje for read og income

hist read if girl==0 //Viser fordelingen for gutter i et histogram
hist read if girl==1 //Viser fordelingen for jenter i et histogram

gen par_emp_high=0 if par_emp!=. //Genererer en dummy mål på arbeidsmengde hos foreldre
replace par_emp_high=1 if par_emp <= 2 //Bestemmer at 1 betyr høy sysselsetting, altså enten en eller to jobber fulltid 
sum read teacher_exp //Presenterer deskriptiv statistikk for kontrollvariablen teacher_exp
sum read if par_emp_high==0 //Deskriptiv statistikk for høyt sysselsatte foreldre
sum read if par_emp_high==1 //Deskriptiv statistikk for lavt sysselsatte foreldre

corr read girl income clsize bnp par_emp_high teacher_exp //Lager en korrelasjonsmatrise med de utvalgte variablene 


**Regresjon av likning (2), (3) og (4) 
eststo: reg read girl clsize income 
esttab using bachelor1.rtf, se nostar r2 replace //Presenterer resultatene i tabell 
eststo: reg read girl clsize income par_emp_high teacher_exp
esttab using bachelor2.rtf, se nostar r2 replace //Presenterer resultatene i tabell 
 
* Kjører T-test på interessevariablene 
test girl
test income 
test clsize 

gen income_sq = income^2 //Genererer kvadratisk ledd for income 
gen clsize_sq = clsize^2 //Genererer kvadratisk ledd for clsize 
eststo: reg read girl clsize income par_emp_high teacher_exp income_sq clsize_sq //Kjører regresjonen med de to kvadratiske leddene for å se på ikke-linearitet
esttab using bachelor3.rtf, se nostar r2 replace //Presenterer resultatene i tabell 

* Kjører T-test på de kvadratiske leddene av interessevariablene generert over
test income_sq 
test clsize_sq 

* Lager interaksjonsledd for BNP og interessevariablene
gen girl_bnp = girl*bnp
gen clsize_bnp = clsize*bnp
gen income_bnp = income*bnp
eststo: reg read girl clsize income par_emp_high teacher_exp bnp girl_bnp clsize_bnp income_bnp //inkluderer interaksjonsleddene i grunnmodellen
esttab using bachelor4.rtf, se r2 nostar replace //Presenterer resultatene i tabell 

* Kjører T-test på interaksjonsleddene generert over
test (girl_bnp)
test (income_bnp)
test (clsize_bnp)
	
twoway (scatter clsize bnp) (lfit clsize bnp) //Lager spredningsplott og estimert linje for bnp og clsize 


